# Near Future Propulsion

A mod pack for Kerbal Space Program, delivering fancy electic propulsion solutions for your Kerbals.

* [Features](#features)
* [Dependencies](#dependencies)
* [Installation](#installation)
* [Optional Patches](#optional-patches)
* [External Compatibility](#features)
* [Contributing](#contributing)

## Features

A number of electric propulsion parts designed off real technology and prototypes.

* **Gridded Ion Engines:** Like the stock Dawn, they have low TWR and great Isp. They run on Xenon fuel.
* **Hall Effect Thrusters:** Similar to Gridded thrusters, but with better TWR at the cost of some Isp. They run on Argon fuel and are pretty cheap!
* **Magnetoplasmadynamic Thrusters:** With the best TWR of all electric engines, these engines are very power-hungry. They run on Lithium fuel.
* **Pulsed Inductive Thrusters:** Similar to Hall thrusters, they run on Argon fuel and have the unique ability to dump extra electricity into the engine, increasing Isp but generating more heat.
* **VASIMR Engines:** High tech and fancy, these engines run on either Xenon or Argon fuel. They can be tuned for high-thrust, low Isp operation, or low-thrust, high-Isp operation
* **Electric RCS:** Available in several flavours - a mini gridded thruster, mini Hall thruster, disposable PPT and set of small magnetoplasmadynamic thruster blocks
* **New Tanks**: More Xenon tanks and full tank sets for Argon and Lithium fuels

## Dependencies

### Required
These components are required for the mod to function and are bundled as part of any download:
* [ModuleManager (4.2.3)](https://github.com/sarbian/ModuleManager)
* [B9PartSwitch (2.20.0)](https://github.com/blowfishpro/B9PartSwitch)
* [Community Resource Pack (1.4.2)](https://github.com/BobPalmer/CommunityResourcePack)

## Installation

To install, place the GameData folder inside your Kerbal Space Program folder. If asked to overwrite files, please do so.

NOTE: Do NOT rename or move folders within the GameData folder - this mod uses absolute paths to assets and will break if this happens.

## Optional Patches

Some extra patches are bundled that you can use to tweak your installation. To install them, drop the correct folder from the **Extras** folder into your KSP GameData Folder

* **XenonHallThrusters**: Converts the Argon fuelled HETs into Xenon fuelled versions with no changes in stats (but changes in FX)

## External Mod Compatibility

This mod includes compatibility patches for the following mods:
* [KSP-AVC](https://github.com/CYBUTEK/KSPAddonVersionChecker): Provides version checking
* [Community Tech Tree](https://github.com/ChrisAdderley/CommunityTechTree): Provides an expanded, community-sourced technology tree for modders to use
* CryoTanks: installed, a new set of LH2-powered MPDT RCS thrusters are added

## Contributing

I certainly accept pull requests. Please target all such things to the `dev` branch though!

## Translations

For translation instructions please see [Localization Instructions](https://github.com/ChrisAdderley/NearFuturePropulsion/blob/master/GameData/NearFuturePropulsion/Localization/Localization.md)

* **German**: Three_Pounds
* **Russian**: Dr. Jet, Sooll3
* **Simplified Chinese**: DY_ZBX and tinygrox

## Licensing

The art assets in this pack (all .dds, .png and .mu files) are distributed under an All Rights Reserved license. You may not redistribute or re-use these assets without express permission from the author.

Any bundled mods are distributed under their own licenses:
* ModuleManager by ialdabaoth and sarbian is distributed under a Creative Commons Sharealike license. More details, including source code, can be found [here](http://forum.kerbalspaceprogram.com/threads/31342-0-20-ModuleManager-1-3-for-all-your-stock-modding-needs?p=528607&viewfull=1#post528607)
* [Community Tech Tree](https://github.com/ChrisAdderley/CommunityTechTree): Provides an expanded, community-sourced technology tree for modders to use
* B9PartSwitch by blowfish is also distributed under its own license. Please find source and more details [here](https://github.com/blowfishpro/B9PartSwitch)

Everything else is distributed under the MIT license.

Copyright (c) 2019 Chris Adderley
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
